org.jboss.netty.handler.codec.spdy

## Class DefaultSpdyDataFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.DefaultSpdyDataFrame

All Implemented Interfaces:
  SpdyDataFrame

    public class DefaultSpdyDataFrame
    extends Object
    implements SpdyDataFrame

The default `SpdyDataFrame` implementation.

### Constructor Summary

Constructors
Constructor and Description
`DefaultSpdyDataFrame(int streamId)` Creates a new instance.

### Method Summary

Methods
`ChannelBuffer` `getData()` Returns the data payload of this frame.
`int` `getStreamId()` Returns the Stream-ID of this frame.
`int` `getStreamID()`
`boolean` `isCompressed()`
`boolean` `isLast()` Returns `true` if this frame is the last frame to be transmitted on the stream.
`void` `setCompressed(boolean compressed)`
`void` `setData(ChannelBuffer data)` Sets the data payload of this frame.
`void` `setLast(boolean last)` Sets if this frame is the last frame to be transmitted on the stream.
`void` `setStreamId(int streamId)` Sets the Stream-ID of this frame.
`void` `setStreamID(int streamId)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultSpdyDataFrame

    public DefaultSpdyDataFrame(int streamId)

Creates a new instance.

Parameters:
  `streamId` - the Stream-ID of this frame

### Method Detail

#### getStreamID

    public int getStreamID()

Specified by:
  `getStreamID` in interface `SpdyDataFrame`

#### getStreamId

    public int getStreamId()

Description copied from interface: `SpdyDataFrame`
Returns the Stream-ID of this frame.

Specified by:
  `getStreamId` in interface `SpdyDataFrame`

#### setStreamID

    public void setStreamID(int streamId)

Specified by:
  `setStreamID` in interface `SpdyDataFrame`

#### setStreamId

    public void setStreamId(int streamId)

Description copied from interface: `SpdyDataFrame`
Sets the Stream-ID of this frame. The Stream-ID must be positive.

Specified by:
  `setStreamId` in interface `SpdyDataFrame`

#### isLast

    public boolean isLast()

Description copied from interface: `SpdyDataFrame`
Returns `true` if this frame is the last frame to be transmitted on the stream.

Specified by:
  `isLast` in interface `SpdyDataFrame`

#### setLast

    public void setLast(boolean last)

Description copied from interface: `SpdyDataFrame`
Sets if this frame is the last frame to be transmitted on the stream.

Specified by:
  `setLast` in interface `SpdyDataFrame`

#### isCompressed

    public boolean isCompressed()

Specified by:
  `isCompressed` in interface `SpdyDataFrame`

#### setCompressed

    public void setCompressed(boolean compressed)

Specified by:
  `setCompressed` in interface `SpdyDataFrame`

#### getData

    public ChannelBuffer getData()

Description copied from interface: `SpdyDataFrame`
Returns the data payload of this frame. If there is no data payload `ChannelBuffers.EMPTY_BUFFER` is returned.

Specified by:
  `getData` in interface `SpdyDataFrame`

#### setData

    public void setData(ChannelBuffer data)

Description copied from interface: `SpdyDataFrame`
Sets the data payload of this frame. If `null` is specified, the data payload will be set to `ChannelBuffers.EMPTY_BUFFER`. The data payload cannot exceed 16777215 bytes.

Specified by:
  `setData` in interface `SpdyDataFrame`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`